import _inheritsLoose from "@babel/runtime/helpers/esm/inheritsLoose";
import React, { Component } from 'react';
import PropTypes from 'prop-types';

var AdBlockerExtensionDetector =
/*#__PURE__*/
function (_Component) {
  _inheritsLoose(AdBlockerExtensionDetector, _Component);

  function AdBlockerExtensionDetector(props) {
    var _this;

    _this = _Component.call(this, props) || this;

    _this._detectIfAdBlockerIsEnabled = function () {
      var blockDetector = _this.blockDetector.current;
      var isBlockerAdviseActive = blockDetector.offsetHeight === 0;

      _this.setState({
        displayBanner: isBlockerAdviseActive,
        showBlockDetector: false
      });
    };

    _this.blockDetector = React.createRef();
    _this.state = {
      displayBanner: false,
      showBlockDetector: true
    };
    return _this;
  }

  var _proto = AdBlockerExtensionDetector.prototype;

  _proto.componentDidMount = function componentDidMount() {
    this._detectIfAdBlockerIsEnabled();
  };

  _proto.render = function render() {
    var children = this.props.children;
    return React.createElement(React.Fragment, null, this.state.displayBanner && children, this.state.showBlockDetector && React.createElement("div", {
      ref: this.blockDetector,
      className: "adsbox"
    }, "\xA0"));
  };

  return AdBlockerExtensionDetector;
}(Component);

AdBlockerExtensionDetector.displayName = 'AdBlockerExtensionDetector';
export default AdBlockerExtensionDetector;